Subject: Re: [kernel, v2] powerpc/powernv/ioda: Remove explicit max window size check

From: Michael Ellerman <[email-masked]>
Date: Tue, 14 Nov 2017 22:12:14 +1100 (AEDT)

On Tue, 2017-11-07 at 03:43:01 UTC, Alexey Kardashevskiy wrote:
> DMA windows can only have a size of power of two on IODA2 hardware and
> using memory_hotplug_max() to determine the upper limit won't work
> correcly if it returns not power of two value.
> 
> This removes the check as the platform code does this check in
> pnv_pci_ioda2_setup_default_config() anyway; the other client is VFIO
> and that thing checks against locked_vm limit which prevents the userspace
> from locking too much memory.
> 
> It is expected to impact DPDK on machines with non-power-of-two RAM size,
> mostly. KVM guests are less likely to be affected as usually guests get
> less than half of hosts RAM.
> 
> Signed-off-by: Alexey Kardashevskiy <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/9003a249815a15704f415954039d1c

cheers